#include "cmessagebox.h"
#include "ui_cmessagebox.h"

CMessageBox::CMessageBox(QWidget *parent /*= 0*/, Skin *skin /*= NULL*/)
    : BaseClass(parent, skin)
{
    ui = new Ui::CMessageBox();
    this->setup_UI(ui);
    connect(ui->pushButton, &QPushButton::clicked, this, &CMessageBox::close);

    ui->labelIcon->setScaledContents(true);
    ui->labelIcon->setSizePolicy(QSizePolicy::Ignored, QSizePolicy::Ignored);
    ui->labelIcon->setPixmap(QPixmap(":/images/icon/dog.png"));

    ui->labelText->setWordWrap(true);
}

CMessageBox::~CMessageBox()
{
    delete ui;
}

void CMessageBox::setText(const QString &txt)
{
    ui->labelText->setText(txt);
}








